import request from '@/config/axios'

// 会员树根 VO
export interface TreeVO {
  id: number // 主键
  rootId: number // 树根id
  appendParentId: number // 新用户父节点
  treeCurrentDepth: number // 树深度
  layerLostCount: number // 本层剩余座席树
  treeAllCount: number // 树已入驻座席数
}

// 会员树根 API
export const TreeApi = {
  // 查询会员树根分页
  getTreePage: async (params: any) => {
    return await request.get({ url: `/member/tree/page`, params })
  },

  // 查询会员树根详情
  getTree: async (id: number) => {
    return await request.get({ url: `/member/tree/get?id=` + id })
  },

  // 新增会员树根
  createTree: async (data: TreeVO) => {
    return await request.post({ url: `/member/tree/create`, data })
  },

  // 修改会员树根
  updateTree: async (data: TreeVO) => {
    return await request.put({ url: `/member/tree/update`, data })
  },

  // 删除会员树根
  deleteTree: async (id: number) => {
    return await request.delete({ url: `/member/tree/delete?id=` + id })
  },

  // 导出会员树根 Excel
  exportTree: async (params) => {
    return await request.download({ url: `/member/tree/export-excel`, params })
  }
}